version: '3.9'

services:
  web:
    build: .
    container_name: chockiesweb_nextjs
    ports:
      - "1000:3000"
    env_file:
      - .env.local
    environment:
      - NODE_ENV=production
      - NEXT_PUBLIC_APP_URL=http://localhost:1000
      - PROVISIONING_DB_HOST=localhost
      - CMS_PLATFORM_API_URL=https://cms.chockiesweb.com/api/platform/v1
      - CMS_PLATFORM_API_KEY=a0314595bfaebd0505bf075f6a2737f2c5d3b403218bedbcb6e5bbc12e84db4d
    extra_hosts:
      - "host.docker.internal:host-gateway"
    restart: unless-stopped
